org.apache.xmlbeans

## Interface Filer

All Known Implementing Classes:
  FilerImpl

    public interface Filer

### Method Summary

All Methods Instance Methods Abstract Methods Default Methods
`OutputStream` `createBinaryFile(String typename)` Creates a new schema binary file (.xsb) and returns a stream for writing to it.
`default Writer` `createSourceFile(String typename)` Creates a new binding source file (.java) and returns a writer for it.
`Writer` `createSourceFile(String typename, String sourceCodeEncoding)` Creates a new binding source file (.java) and returns a writer for it.

### Method Detail

#### createBinaryFile

    OutputStream createBinaryFile(String typename)
                           throws IOException

Creates a new schema binary file (.xsb) and returns a stream for writing to it.

Parameters:
  `typename` - fully qualified type name
Returns:
  a stream to write the type to
Throws:
  `IOException` - when the file can't be created

#### createSourceFile

    default Writer createSourceFile(String typename)
                             throws IOException

Creates a new binding source file (.java) and returns a writer for it.

Parameters:
  `typename` - fully qualified type name
Returns:
  a stream to write the type to
Throws:
  `IOException` - when the file can't be created

#### createSourceFile

    Writer createSourceFile(String typename,
                            String sourceCodeEncoding)
                     throws IOException

Creates a new binding source file (.java) and returns a writer for it.

Parameters:
  `typename` - fully qualified type name
  `sourceCodeEncoding` - an optional encoding used when compiling source code (can be `null`)
Returns:
  a stream to write the type to
Throws:
  `IOException` - when the file can't be created